-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek, Sugih Hartono
-- ----------------------------------------------------------------------------
--             Voice Skin: French TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Virginie"
language = "French (France)"
marc_code = "fre"
language_id = "2"
id = "2002"
config_file = "french_tts/config_tts.lua"
audio_files_path = "french_tts/french_tts"
rulesets_file = "french_tts/french_tts/rulesets_FRF.txt"
userdictionary_file = "french_tts/french_tts/udct_frf.dat"
apdb = "apdb/virginie/nm"
audio_files_version = "0.2.0.2012060101"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

maneuver_check = {
    ["END"] = "vous arriverez à votre destination",                       -- You will reach your destination
    ["STOPOVER"] = "vous arriverez à une étape",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                                   -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                              -- the junction
    ["ROUNDABOUT"] = "au rond-point",                                     -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "prenez la sortie",                             -- take the exit
    ["UTURN"] = "faites demi-tour",                                       -- Make a uturn
    ["ENTER_HIGHWAY"] = "entrez sur l'autoroute",
    ["LEAVE_HIGHWAY"] = "prenez la sortie",                               -- take the exit
    ["CONTINUE_HIGHWAY"] = "Suivez l'autoroute",                          -- due to specifications 
    ["ENTER_URBAN_HIGHWAY"] = "entrez sur l'autoroute",
    ["LEAVE_URBAN_HIGHWAY"] = "prenez la sortie",                         -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "Suivez l'autoroute",
    ["DRIVE_TO_NEAREST_ROAD"] = "Allez jusqu'à la route la plus proche",  -- drive to nearest road 
    ["FERRY"] = "prenez le ferry"
}

maneuver_turns_car = {
    ["NO_TURN"] = "continuez tout droit",
    ["KEEP_MIDDLE"] = "prenez la voie du milieu",
    ["KEEP_RIGHT"] = "restez sur la droite",
    ["LIGHT_RIGHT"] = "tournez légèrement à droite",
    ["QUITE_RIGHT"] = "tournez à droite",
    ["HEAVY_RIGHT"] = "tournez complètement à droite",
    ["RETURN"] = "faites demi-tour",
    ["HEAVY_LEFT"] = "tournez complètement à gauche",
    ["QUITE_LEFT"] = "tournez à gauche",
    ["LIGHT_LEFT"] = "tournez légèrement à gauche",
    ["KEEP_LEFT"] = "restez sur la gauche",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "continuez tout droit",
    ["KEEP_MIDDLE"] = "continuez tout droit",
    ["KEEP_RIGHT"] = "prenez la rue de droite",
    ["LIGHT_RIGHT"] = "tournez légèrement à droite",
    ["QUITE_RIGHT"] = "tournez à droite",
    ["HEAVY_RIGHT"] = "tournez complètement à droite",
    ["RETURN"] = "faites demi-tour",
    ["HEAVY_LEFT"] = "tournez complètement à gauche",
    ["QUITE_LEFT"] = "tournez à gauche",
    ["LIGHT_LEFT"] = "tournez légèrement à gauche",
    ["KEEP_LEFT"] = "prenez la rue de gauche",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "traversez le bâtiment",
    ["SQUARE"] = "traversez la place",
    ["PARK"] = "traversez le parc",
    ["STAIRS"] = "prenez les escaliers",
    ["ELEVATOR"] = "prenez l'ascenseur",
    ["ESCALATOR"] = "prenez les escaliers"
}

final_command = {
    ["END"] = "Vous êtes arrivé à votre destination",            -- You have reached your destination
    ["STOPOVER"] = "Vous êtes arrivé à une étape"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"prenez la première sortie", "tournez dans la première rue"},                  -- take the first exit
    [2] = {"prenez la deuxième sortie", "tournez dans la deuxième rue"},                  -- take the second exit
    [3] = {"prenez la troisième sortie", "tournez dans la troisième rue "},               -- take the third exit
    [4] = {"prenez la quatrième sortie", "tournez dans la quatrième rue"},                -- take the fourth exit
    [5] = {"prenez la cinquième sortie", "tournez dans la cinquième rue"},                -- take the fifth exit
    [6] = {"prenez la sixième sortie", "tournez dans la sixième rue"},                    -- take the sixth exit
    [7] = {"prenez la septième sortie", "prenez la septième sortie"},                     -- take the seventh exit
    [8] = {"prenez la huitième sortie", "prenez la huitième sortie"},                     -- take the eighth exit
    [9] = {"prenez la neuvième sortie", "prenez la neuvième sortie"},                     -- take the ninth exit
    [10] = {"prenez la dixième sortie", "prenez la dixième sortie"},                      -- take the tenth exit
    [11] = {"prenez la onzième sortie", "prenez la onzième sortie"},                      -- take the eleventh exit
    [12] = {"prenez la douzième sortie", "prenez la douzième sortie"}                     -- take the twelfth exit
}

distances = {
    [50] = "50",
    [100] = "100",
    [150] = "150",
    [200] = "200",
    [250] = "250",
    [300] = "300",
    [400] = "400",
    [500] = "500",
    [600] = "600",
    [700] = "700",
    [800] = "800",
    [900] = "900",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8",
    [9] = "9",
    [10] = "10"
}

unit = {                        
    ["MILE"] = "mile",
    ["YARDS"] = "yards",
    ["KILOMETER"] = "kilomètre",
    ["METERS"] = "mètres",
    ["METER"] = "mètres",
    ["KILOMETERS"] = "kilomètres",
    ["MILES"] = "miles",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "le nord",
    ["NORTH_EAST"] = "le nord-est",
    ["EAST"] = "l'est",
    ["SOUTH_EAST"] = "le sud-est",
    ["SOUTH"] = "le sud",
    ["SOUTH_WEST"] = "le sud-ouest",
    ["WEST"] = "l'ouest",
    ["NORTH_WEST"] = "le nord-ouest"
}

misc = { 
    ["gps_signal_lost_wav"] = "Signal GPS perdu",
    ["gps_signal_restored_wav"] = "La connexion GPS a été rétablie",
 --   ["no_gps_signal_wav"] = "Pas de signal GPS",
    ["route_recalculation_wav"] = "Recalcul de l'itinéraire",
    ["now_wav"] = "Maintenant",
    ["end_of_street_wav"] = "Au bout de la route",
    ["follow_motorway_wav"] = "Suivez l'autoroute",
    ["follow_road_wav"] = "Suivez cette route",
    ["for_wav"] = "sur",
    ["after_wav"] = "Dans",
    ["after_the_junction_wav"] = "Après le croisement",
    ["half_a_mile_wav"] = "un demi mile",
    ["quarter_a_mile_wav"] = "un quart de mile",
    ["immediately_wav"] = "immédiatement",
    ["safety_camara_ahead_wav"] = "Vous approchez d'un radar",
    ["over_speed_limit_wav"] = "Respectez la limite de vitesse",
    ["traffic_automatic_detour_wav"] = "Bouchons sur la route, calcul de la déviation",
    ["traffic_manual_detour_wav"] = "Bouchons sur la route, voulez-vous faire un détour?",
    ["no_detour_possible"] = "Pas de détour trouvé pour contourner le bouchon",
    ["and_wav"] = "et",
    ["and_then_wav"] = "et puis",
    ["and_continue_on_wav"] = "et continuez sur",
    ["towards_wav"] = "en direction de",
    ["turn_wav"] = "tournez",
    ["onto_wav"] = "dans",
    ["coma_wav"] = ",",
    ["exit_wav"] = "prenez la sortie",
    ["second_right_wav"] = "prenez la deuxième à droite",
    ["second_left_wav"] = "prenez la deuxième à gauche",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "longez le rond-point sur la gauche",
    ["walk_right_roundabout_wav"] = "longez le rond-point sur la droite",
    ["walk_roundabout_wav"] = "Contournez le rond-point",
    ["head_wav"] = "Dirigez vous vers",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "",
    ["the_footpath_wav"] = "dans le chemin"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


